# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..3\n"; }
END {print "not ok 1\n" unless $loaded;}
use Win32::Editor::PFE;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

$pfe = new Win32::Editor::PFE
 or die "Failed to create an object!\n";

print "ok 2\n";

$pfe->Open($0)
 or die "Couldn't open myself. Are you sure you have PFE installed here?\n";

print "ok 3\n";

$pfe->Pos(10,17);
$pfe->CaretRight(2,1);

($row,$col) = $pfe->Pos();
if ($row == 10 and $col == 19) {
 print "ok 4\n";
} else {
 print "failed 4 (the cursor is not where it should be)\n";
}

$pfe->ComeToForeground();

$pfe->Pos(47,5);
$pfe->CaretRight( 47, 1);
print "ok 5\n";

### If this is selected, everything works dandy ;-)


